import 'package:json_annotation/json_annotation.dart';

import '../../bean/contact_info.dart';

part 'contact_list_response.g.dart';

@JsonSerializable()
class ContactListResponse {
  @JsonKey(name: 'list')
  List<ContactInfo>? list;

  ContactListResponse(this.list);

  factory ContactListResponse.fromJson(Map<String, dynamic> json) =>
      _$ContactListResponseFromJson(json);

  Map<String, dynamic> toJson() => _$ContactListResponseToJson(this);
}
